Subject: bug#15329: saveplace restores dired positions to random places

From: Drew Adams <[email-masked]>
Date: Sun, 15 Dec 2013 13:43:42 -0800 (PST)

> -  (if (not buffer-file-name)
> -      (message "Buffer `%s' not visiting a file" (buffer-name))
> +  (if (not (or buffer-file-name dired-directory))
> +      (message "Buffer `%s' not visiting a file or directory"
> +               (buffer-name))

Is `dired-directory' really the right test here?  I am used to seeing
(derived-mode-p 'dired-mode) for that purpose (assuming I understand the
purpose here).

There is, BTW, nothing in the doc string of `dired-directory' that says
what a nil value means.  Should code now instead be using
`dired-directory' to test whether the mode is (derived from) Dired?

If so, then at the very least the doc string of that variable should
describe such a Boolean meaning: nil means not in Dired mode or a mode
derived from it (or whatever the completely correct interpretation is).